extends Camera3D


var signals: SignalsNode


# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	signals = get_node("/root/Main/Signals")
	signals.position_updated.connect(_on_position_updated)
	
func _on_position_updated(sensor_ip: String, physics_position):
	return
	print(physics_position)
	look_at(Vector3(physics_position.x, physics_position.y, physics_position.z))
